$ Copyright 1996-2002 Sun Microsystems, Inc.  All rights reserved.
$ Use is subject to license terms.

$ #ident  "@(#)l2cachetest.msg  1.8  03/08/22  SMI"

$ Message ID ranges:
$ VERBOSE  1 ~ 1999
$ INFO     2000 ~ 3999
$ WARNING  4000 ~ 5999
$ ERROR    6000 ~ 7999
$ FATAL    8000 ~ 9998
$ 9999 is reserved by test library for old style messages.
$ 0 is reserved and is an invalid message for all tests.

$ *********************************************
$ VERBOSE messages
$ *********************************************
$ L2_START_MSG 1
1	"Initiating L2 cache thrashing test  ..."
$ L2_PASSCOUNT_MSG 2
2       "Thrash set to %lu iterations"
$ L2_WRVCYCLE_MSG 3
3       "Thrashing L2 cache ..."
$ L2_END_MSG 4
4       "L2 cache thrashing complete"
$ L2_CPCLIB_MSG	5
5	"SUNWcpc, SUNWcpcu(x) packages not installed. Performance counters will not be available."
$ RAND_SWAP_START 6
6	"Start E-Cache random swapping pattern test"
$ TEST_PATTERNS 7
7	"Pattern = %lX, Inverse Pattern = %lX"
$ RAND_SWAP_END 8
8	"End E-Cache random swapping pattern test"
$ MARCH_TEST_ROW_STRIDE_START 9
9	"Start L2 March test with row striding"
$ MARCH_TEST_ROW_STRIDE_END 10
10	"End L2 March test with row striding"
$ MARCH_TEST_COLUMN_STRIDE_START 11 
11	"Start L2 March test with column striding"
$ MARCH_TEST_COLUMN_STRIDE_END 12 
12	"End Start L2 March test with column striding"
$ MARCH_TEST_LINE_STRIDE_START 13 
13	"Start L2 30N March test with line-length striding"
$ MARCH_TEST_LINE_STRIDE_END 14 
14	"End L2 30N March test with line-length striding"
$ MEM_READ_START 15
15	"Start memory reading thread"	
$ MEM_READ_END 16
16	"End memory reading thread"

$ L2_CALLBACK_MSG	1999
1999 "Message recieved from VTS kernel: Type %d %s\n "

$ *****************************************************
$ INFO messages (includeing INFO, CONSOLE, and LOGFILE)
$ No double quotes (" ") is needed for INFO messages.
$ *****************************************************
$ TEST_USAGE_MSG 2000
2000	%s specific arguments: \n
$ L1_CONNECT_MSG 2001
2001	"Connected : CPU Level 2 cache : size %d Kbytes line %d bytes associativity %d"
$ L1_DISCONNECT_MSG 2002
2002	"NotConnected : CPU Level 2 cache"

$ *****************************************************
$ WARNING messages
$ *****************************************************
$ L2_ALLOCERROR_MSG 4001
4001    "failed to allocate thrash test buffer"

$ L2_MALLOCERR_MSG 4002
4002	"Failed to allocate stress test buffer"


$ ********************************
$ ERROR messages
$ ********************************
$ L2_RVERROR_MSG 6000
6000    "Read/Verify of L2 cache failed"
$ L2_STRESSERROR_MSG 6001
6001    "Stress of L2 cache failed"
$ L1_NOBIND_MSG 6002
6002    "No process bind information specified"
$ L1_BINDFAIL_MSG 6003
6003    "Bind to proccessor %d failed"

$ *******************************
$ FATAL messages
$ *******************************
$ L2_ARGERROR_MSG 8000
8000   "Please enter an appropriate value, %s=?"
$ KVM_OPEN_FAIL 8002
8002	"System call kvm_open failed: %s"
$ SYMBOL_NOT_FND 8003
8003	"Symbol %s not found in Solaris kernel image"
$ FILE_OPEN_FAIL 8004
8004	"Could not open file /dev/mem: %s"
$ KVM_READ_FAIL 8005
8005	"Unable to read \"size\" and \"address\" in memory list"
$ NO_PHYS_MEM 8006
8006	"No physical memory found"
$ MALLOC_FAIL 8007
8007	"Memory allocation failure"
$ FILE_SEEK_FAIL 8008
8008	"llseek call failed to address 0x%llx: %s"
$ FILE_READ_FAIL 8009
8009	"read() to address 0x%llx failed: %s"



$ *********************************************************
$ Messages for msg_monitor library
$ Adding this here to avoid install rules in the library 
$ Unclear if the same test binary can have messages spread
$ across two .msg files
$
$ All messages are such that it is unique to L2 test. 
$**********************************************************
$------------------
$ ERROR messages
$------------------
$ MSG_NO_RULE_FILE      7000
7000    "No rule file and no default matching function specified"
$ MSG_RULE_FILE_ERROR   7001
7001    "Rule file %s error and no default matching function specified"
$ MSG_LOG_FILE_OPEN     7002
7002    "Unable to open the message log file %s"
$ MSG_LOG_IOCTL_FAIL    7003
7003    "Message log IOCTL (I_STR) failed"
$ MSG_THR_CREATE_FAIL   7004
7004    "Thread create failed : rc %x errno %x"
$ MSG_MATCH_ERROR       7005
7005    "%s"

$
$-----------------
$ WARNING messages
$-----------------
$ MSG_RULE_FILE_OPEN    5000
5000    "Rule file %s: open failed"
$ MSG_RULE_SYNTAX       5001
5001    "Rule file %s: syntax error at lineno %d"
